summaryrefslogtreecommitdiffstats
path: root/libraries/libffado
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-04-19 18:43:31 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:29 +0200
commitb2ae0d2e2a634f97624db4547beb8d7dee11d1b2 (patch)
tree6a3bd077e09dbde02d3b9b8c05e033315f5db6a9 /libraries/libffado
parent4899883d6e4705aa99d89ed8b6e6839911d729a0 (diff)
downloadslackbuilds-b2ae0d2e2a634f97624db4547beb8d7dee11d1b2.tar.gz
slackbuilds-b2ae0d2e2a634f97624db4547beb8d7dee11d1b2.tar.xz
libraries/libffado: Added (free firewire driver implemenation)
Diffstat (limited to 'libraries/libffado')
-rw-r--r--libraries/libffado/README11
-rw-r--r--libraries/libffado/doinst.sh9
-rw-r--r--libraries/libffado/libffado.SlackBuild102
-rw-r--r--libraries/libffado/libffado.info10
-rw-r--r--libraries/libffado/slack-desc19
5 files changed, 151 insertions, 0 deletions
diff --git a/libraries/libffado/README b/libraries/libffado/README
new file mode 100644
index 0000000000..0dad632806
--- /dev/null
+++ b/libraries/libffado/README
@@ -0,0 +1,11 @@
+The FFADO project aims to provide a free driver implemenation for
+FireWire (IEEE1394, iLink) based (semi-) professional audio
+interfaces. The focus of the project are on audio/music production
+rather than consumer audio. This means that, although we intend to
+supported all features at some point, consumer features are
+considered less important. The most obvious example of a consumer
+feature is AC3/DTS passthrough support, which is unsupported at
+the moment.
+
+libffado requires libiec61883, libxml++ and scons, also available
+from SlackBuilds.org
diff --git a/libraries/libffado/doinst.sh b/libraries/libffado/doinst.sh
new file mode 100644
index 0000000000..1d85d0e8d5
--- /dev/null
+++ b/libraries/libffado/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ] \
+ && [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+fi
+
diff --git a/libraries/libffado/libffado.SlackBuild b/libraries/libffado/libffado.SlackBuild
new file mode 100644
index 0000000000..5911187ea0
--- /dev/null
+++ b/libraries/libffado/libffado.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for libffado
+
+# Copyright 2010 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libffado
+VERSION=2.0.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ TARGET="i386"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ TARGET="i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ TARGET="x86_64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Use our CFLAGS
+sed -i "s/-O2 -DNDEBUG/$SLKCFLAGS -DNDEBUG/" SConstruct
+
+scons \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ DIST_TARGET="$TARGET" \
+ DEBUG="False"
+
+scons \
+ --implicit-deps-unchanged \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ DIST_TARGET="$TARGET" \
+ DEBUG="False" \
+ DESTDIR=$PKG \
+ install
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 support/xdg/ffado.org-ffadomixer.desktop \
+ $PKG/usr/share/applications/ffadomixer.desktop
+install -m 0644 support/xdg/hi64-apps-ffado.png \
+ $PKG/usr/share/pixmaps/ffado.png
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog LICENSE* NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libffado/libffado.info b/libraries/libffado/libffado.info
new file mode 100644
index 0000000000..c92591f219
--- /dev/null
+++ b/libraries/libffado/libffado.info
@@ -0,0 +1,10 @@
+PRGNAM="libffado"
+VERSION="2.0.0"
+HOMEPAGE="http://www.ffado.org/"
+DOWNLOAD="http://www.ffado.org/files/libffado-2.0.0.tar.gz"
+MD5SUM="89fd874731a1437043d0a57ed87c81ef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/libraries/libffado/slack-desc b/libraries/libffado/slack-desc
new file mode 100644
index 0000000000..990d287314
--- /dev/null
+++ b/libraries/libffado/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libffado: libffado (Firewire audio interface drivers)
+libffado:
+libffado: The FFADO project aims to provide a free driver implemenation for
+libffado: FireWire (IEEE1394, iLink) based (semi-) professional audio
+libffado: interfaces. The focus of the project are on audio/music production
+libffado: rather than consumer audio. This means that, although we intend to
+libffado: supported all features at some point, consumer features are
+libffado: considered less important. The most obvious example of a consumer
+libffado: feature is AC3/DTS passthrough support, which is unsupported at
+libffado: the moment.
+libffado: